Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class AccessibleBase

    java.lang.Object
      org.eclipse.draw2d.AccessibleBase

public class AccessibleBase
extends java.lang.Object

The base class for accessible objects which provides accesibilty clients with a unique ID.

Constructor Summary
`AccessibleBase()`

Method Summary
`int` `getAccessibleID()` Returns the id of this accessible object using `Object.hashCode()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessibleBase

    public AccessibleBase()

Method Detail

### getAccessibleID

    public final int getAccessibleID()

  Returns the id of this accessible object using `Object.hashCode()`.

  Returns:
    the id

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.